-- InsertICSInvoiceUploadTemp

DECLARE 
	@@PROCESS_ID BIGINT, 	
	@@SUPP_CD VARCHAR(6); 

SET @@PROCESS_ID = @0; 

INSERT 
OPENQUERY(IPPCS_TO_ICS, 
'SELECT 
	PROCESS_ID, SUPP_CD, 
	PO_NO, PO_ITEM_NO, ORI_MAT_NO, MAT_NO, 
	PROD_PURPOSE_CD, SOURCE_TYPE, PACKING_TYPE, PART_COLOR_SFX, MAT_TEXT,
	MAT_DOC_NO, MAT_DOC_YEAR, MAT_DOC_ITEM, COMP_PRICE_CD, 
	SUPP_MANIFEST, 
	DOC_DT, QUANTITY, ORDER_NO, DOCK_CD, 
	SUPP_INV_NO, 
	S_QUANTITY, PRICE_AMT, PAYMENT_CURR, AMMOUNT,
	VALIDATION_TYPE, REMARKS, ROW_NO, OTHER_PROCESS_ID
FROM TB_T_INVOICE_UPLOAD')
SELECT
	NULL AS PROCESS_ID, SUPP_CD,
	PO_NO, PO_ITEM_NO, MAT_NO_REF, MAT_NO,
	PROD_PURPOSE_CD, SOURCE_TYPE_CD, PACKING_TYPE, PART_COLOR_SFX, MAT_TEXT,
	MAT_DOC_NO, MAT_DOC_YEAR, MAT_DOC_ITEM, COMP_PRICE_CD, 
	INV_REF_NO, 
	DOC_DT, QTY, ORDER_NO, DOCK_CD, 
	SUPP_INV_NO, 
	S_QTY, PRICE_AMT, PAY_CURR , AMT,
	VALIDATION_TYPE, REMARKS, ROW_NO, PROCESS_ID AS [OTHER_PROCESS_ID]
FROM TB_T_INV_UPLOAD 
WHERE PROCESS_ID = @@PROCESS_ID;